RapidSurfaceBuilder Class

class NXOpen.Features.RapidSurfaceBuilder

Bases: NXOpen.Features.FeatureBuilder

Represents a NXOpen.Features.RapidSurface builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateRapidSurfaceBuilder()

Default values.

Property Value
AttachmentType FacetBody
Degree 3
LoopType FourSided
NodeTolerance 1.0
Segments 10
Smoothness 100
UPatches 2
VPatches 2

New in version NX5.0.0.

Properties

Property Description
AttachmentType Returns or sets the attachment type
Body Returns the facet body.
BoundaryPointSetManager Returns the boundary point set manager
ConnectCurves Returns the connect curves
ConstraintSetManager Returns the constraint set manager
Degree Returns or sets the degree
DeleteCurves Returns the delete curves
DragCurve Returns the drag curve
DragCurvePointManager Returns the curve used for drag curve point
FacetBody Returns the facet body
ImportCurves Returns the import curves
LoopType Returns or sets the subdivision loop type
NodeTolerance Returns or sets the node tolerance
OperationType Returns or sets the operation type
ParentFeatureInternal Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal
PatchSolutionFlag Returns or sets the patch solution flag
PatchSurfaceFilename Returns or sets the patch surface filename
ProjectDirection Returns or sets the projection direction
Segments Returns or sets the segments
Smoothness Returns or sets the smoothness
SurroundingPatchSurfaceFilename Returns or sets the surrounding patch surface filename
Tag Returns the Tag for this object.
ULoopCurve Returns the loop curve(U)
UPatches Returns or sets the patches(U)
VLoopCurve Returns the loop curve(V)
VPatches Returns or sets the patches(V)

Methods

Method Description
AcceptNewFacetBody Accepts new facet body
AcceptSubdivision Accepts subdivision
AskEdge Asks an edge in the current curve network
AskEdgeCount Asks edge count in the current curve network
Commit Commits any edits that have been applied to the builder.
CommitFeature Commits the feature parameters and creates the feature
ConnectCurve Accepts connect curve
CreateAnimationPolyline Creates animation polyline
CreateBoundaryCurve Creates boundary curve
CreateNodePoints Creates points to record every mesh node
DeleteCurve Deletes curve
DeleteNode Deletes node
Destroy Deletes the builder, and cleans up any objects created by the builder.
DragCurvePoint Drags curve point
DrawBoundaryCurve Draws boundary curve
DrawCurve Draws curve
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetFeature Returns the feature currently being edited by this builder.
GetNode Gets a node in the current curve network
GetNodeCount Gets node count in the current curve network
GetObject Returns the object currently being edited by this builder.
HideInternalParentFeatureAfterEdit Re-suppress an internal parent feature (a slave feature) after it has been edited.
ImportCurve Imports curve
MoveNode Moves node
ReprojectEdgesAfterMoveNode Reprojects edges after move node
ResetAnimationPolyline Resets animation polyline
SetADefinePoint Set a define point (pre-NX6)
SetDefiningPoint Sets a defining point
SetNumberOfDefinePoints Set number of define points (pre-NX6)
SetNumberOfDefiningPoints Sets number of defining points
SetParentFeatureInternal Set the parent features which would be internal or slaves to the feature being created or commited
ShowInternalParentFeatureForEdit Unsuppress an internal parent feature (a slave feature) so it can be edited.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
UnsetParentFeatureInternal Set the internal parent feature of the feature being edited to external
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

AttachmentType

RapidSurfaceBuilder.AttachmentType

Returns or sets the attachment type

-------------------------------------

Getter Method

Signature AttachmentType

Returns:
Return type:NXOpen.Features.RapidSurfaceBuilderAttachmentTypes

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

Setter Method

Signature AttachmentType

Parameters:option (NXOpen.Features.RapidSurfaceBuilderAttachmentTypes) –

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

Body

RapidSurfaceBuilder.Body

Returns the facet body.

Inputs to this command can be convergent objects.

-------------------------------------

Getter Method

Signature Body

Returns:
Return type:NXOpen.SelectDisplayableObject

New in version NX11.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

BoundaryPointSetManager

RapidSurfaceBuilder.BoundaryPointSetManager

Returns the boundary point set manager

-------------------------------------

Getter Method

Signature BoundaryPointSetManager

Returns:
Return type:NXOpen.Features.GeometricConstraintDataSetManager

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

ConnectCurves

RapidSurfaceBuilder.ConnectCurves

Returns the connect curves

-------------------------------------

Getter Method

Signature ConnectCurves

Returns:
Return type:NXOpen.SelectCurveList

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

ConstraintSetManager

RapidSurfaceBuilder.ConstraintSetManager

Returns the constraint set manager

-------------------------------------

Getter Method

Signature ConstraintSetManager

Returns:
Return type:NXOpen.Features.GeometricConstraintDataSetManager

New in version NX5.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

Degree

RapidSurfaceBuilder.Degree

Returns or sets the degree

-------------------------------------

Getter Method

Signature Degree

Returns:
Return type:int

New in version NX5.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

Setter Method

Signature Degree

Parameters:degree (int) –

New in version NX5.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

DeleteCurves

RapidSurfaceBuilder.DeleteCurves

Returns the delete curves

-------------------------------------

Getter Method

Signature DeleteCurves

Returns:
Return type:NXOpen.SelectCurveList

New in version NX5.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

DragCurve

RapidSurfaceBuilder.DragCurve

Returns the drag curve

-------------------------------------

Getter Method

Signature DragCurve

Returns:
Return type:NXOpen.SelectCurve

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

DragCurvePointManager

RapidSurfaceBuilder.DragCurvePointManager

Returns the curve used for drag curve point

-------------------------------------

Getter Method

Signature DragCurvePointManager

Returns:
Return type:NXOpen.Features.GeometricConstraintDataSetManager

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

FacetBody

RapidSurfaceBuilder.FacetBody

Returns the facet body

-------------------------------------

Getter Method

Signature FacetBody

Returns:
Return type:NXOpen.Facet.SelectFacetedBody

New in version NX5.0.0.

Deprecated since version NX11.0.0: Use NXOpen.Features.RapidSurfaceBuilder.Body() instead.

License requirements: studio_free_form (“STUDIO FREE FORM”)

ImportCurves

RapidSurfaceBuilder.ImportCurves

Returns the import curves

-------------------------------------

Getter Method

Signature ImportCurves

Returns:
Return type:NXOpen.SelectCurveList

New in version NX5.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

LoopType

RapidSurfaceBuilder.LoopType

Returns or sets the subdivision loop type

-------------------------------------

Getter Method

Signature LoopType

Returns:
Return type:NXOpen.Features.RapidSurfaceBuilderLoopTypes

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

Setter Method

Signature LoopType

Parameters:option (NXOpen.Features.RapidSurfaceBuilderLoopTypes) –

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

NodeTolerance

RapidSurfaceBuilder.NodeTolerance

Returns or sets the node tolerance

-------------------------------------

Getter Method

Signature NodeTolerance

Returns:
Return type:float

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

Setter Method

Signature NodeTolerance

Parameters:nodeTolerance (float) –

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

OperationType

RapidSurfaceBuilder.OperationType

Returns or sets the operation type

-------------------------------------

Getter Method

Signature OperationType

Returns:
Return type:NXOpen.Features.RapidSurfaceBuilderOperationTypes

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

Setter Method

Signature OperationType

Parameters:option (NXOpen.Features.RapidSurfaceBuilderOperationTypes) –

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

ProjectDirection

RapidSurfaceBuilder.ProjectDirection

Returns or sets the projection direction

-------------------------------------

Getter Method

Signature ProjectDirection

Returns:
Return type:NXOpen.Direction

New in version NX5.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

Setter Method

Signature ProjectDirection

Parameters:projectDirection (NXOpen.Direction) –

New in version NX5.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

Segments

RapidSurfaceBuilder.Segments

Returns or sets the segments

-------------------------------------

Getter Method

Signature Segments

Returns:
Return type:int

New in version NX5.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

Setter Method

Signature Segments

Parameters:segments (int) –

New in version NX5.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

Smoothness

RapidSurfaceBuilder.Smoothness

Returns or sets the smoothness

-------------------------------------

Getter Method

Signature Smoothness

Returns:
Return type:int

New in version NX5.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

Setter Method

Signature Smoothness

Parameters:smoothness (int) –

New in version NX5.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

ULoopCurve

RapidSurfaceBuilder.ULoopCurve

Returns the loop curve(U)

-------------------------------------

Getter Method

Signature ULoopCurve

Returns:
Return type:NXOpen.SelectCurve

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

UPatches

RapidSurfaceBuilder.UPatches

Returns or sets the patches(U)

-------------------------------------

Getter Method

Signature UPatches

Returns:
Return type:int

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

Setter Method

Signature UPatches

Parameters:patchesU (int) –

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

VLoopCurve

RapidSurfaceBuilder.VLoopCurve

Returns the loop curve(V)

-------------------------------------

Getter Method

Signature VLoopCurve

Returns:
Return type:NXOpen.SelectCurve

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

VPatches

RapidSurfaceBuilder.VPatches

Returns or sets the patches(V)

-------------------------------------

Getter Method

Signature VPatches

Returns:
Return type:int

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

-------------------------------------

Setter Method

Signature VPatches

Parameters:patchesV (int) –

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

Method Detail

AcceptNewFacetBody

RapidSurfaceBuilder.AcceptNewFacetBody

Accepts new facet body

Signature AcceptNewFacetBody()

New in version NX5.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

AcceptSubdivision

RapidSurfaceBuilder.AcceptSubdivision

Accepts subdivision

Signature AcceptSubdivision()

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

AskEdge

RapidSurfaceBuilder.AskEdge

Asks an edge in the current curve network

Signature AskEdge(edgeIndex)

Parameters:edgeIndex (int) – Edge Index
Returns:
Return type:NXOpen.Spline

New in version NX5.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

AskEdgeCount

RapidSurfaceBuilder.AskEdgeCount

Asks edge count in the current curve network

Signature AskEdgeCount()

Returns:
Return type:int

New in version NX5.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

ConnectCurve

RapidSurfaceBuilder.ConnectCurve

Accepts connect curve

Signature ConnectCurve()

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

CreateAnimationPolyline

RapidSurfaceBuilder.CreateAnimationPolyline

Creates animation polyline

Signature CreateAnimationPolyline()

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

CreateBoundaryCurve

RapidSurfaceBuilder.CreateBoundaryCurve

Creates boundary curve

Signature CreateBoundaryCurve()

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

CreateNodePoints

RapidSurfaceBuilder.CreateNodePoints

Creates points to record every mesh node

Signature CreateNodePoints()

Returns:
Return type:list of NXOpen.Point

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

DeleteCurve

RapidSurfaceBuilder.DeleteCurve

Deletes curve

Signature DeleteCurve()

New in version NX5.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

DeleteNode

RapidSurfaceBuilder.DeleteNode

Deletes node

Signature DeleteNode(point)

Parameters:point (NXOpen.Point) – Point

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

DragCurvePoint

RapidSurfaceBuilder.DragCurvePoint

Drags curve point

Signature DragCurvePoint()

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

DrawBoundaryCurve

RapidSurfaceBuilder.DrawBoundaryCurve

Draws boundary curve

Signature DrawBoundaryCurve()

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

DrawCurve

RapidSurfaceBuilder.DrawCurve

Draws curve

Signature DrawCurve()

New in version NX5.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

GetNode

RapidSurfaceBuilder.GetNode

Gets a node in the current curve network

Signature GetNode(nodeIndex)

Parameters:nodeIndex (int) – Node Index
Returns:
Return type:NXOpen.Point

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

GetNodeCount

RapidSurfaceBuilder.GetNodeCount

Gets node count in the current curve network

Signature GetNodeCount()

Returns:
Return type:int

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

ImportCurve

RapidSurfaceBuilder.ImportCurve

Imports curve

Signature ImportCurve()

New in version NX5.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

MoveNode

RapidSurfaceBuilder.MoveNode

Moves node

Signature MoveNode(point, newPosition)

Parameters:

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

ReprojectEdgesAfterMoveNode

RapidSurfaceBuilder.ReprojectEdgesAfterMoveNode

Reprojects edges after move node

Signature ReprojectEdgesAfterMoveNode()

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

ResetAnimationPolyline

RapidSurfaceBuilder.ResetAnimationPolyline

Resets animation polyline

Signature ResetAnimationPolyline()

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

SetADefinePoint

RapidSurfaceBuilder.SetADefinePoint

Set a define point (pre-NX6)

Signature SetADefinePoint(index, xx, yy, zz, facetID)

Parameters:
  • index (int) – Index of Defined Point
  • xx (float) – XC of Defined Point
  • yy (float) – YC of Defined Point
  • zz (float) – ZC of Defined Point
  • facetID (int) – Facet ID of Defined Point

New in version NX5.0.0.

Deprecated since version NX6.0.0: Use NXOpen.Features.RapidSurfaceBuilder.SetDefiningPoint() instead.

License requirements: studio_free_form (“STUDIO FREE FORM”)

SetDefiningPoint

RapidSurfaceBuilder.SetDefiningPoint

Sets a defining point

Signature SetDefiningPoint(index, coordination, facetID)

Parameters:
  • index (int) – Index of Defined Point
  • coordination (NXOpen.Point3d) – x,y,z coordination of Defined Point
  • facetID (int) – Facet ID of Defined Point

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

SetNumberOfDefinePoints

RapidSurfaceBuilder.SetNumberOfDefinePoints

Set number of define points (pre-NX6)

Signature SetNumberOfDefinePoints(number)

Parameters:number (int) – Number of Defined Points

New in version NX5.0.0.

Deprecated since version NX6.0.0: Use NXOpen.Features.RapidSurfaceBuilder.SetNumberOfDefiningPoints() instead.

License requirements: studio_free_form (“STUDIO FREE FORM”)

SetNumberOfDefiningPoints

RapidSurfaceBuilder.SetNumberOfDefiningPoints

Sets number of defining points

Signature SetNumberOfDefiningPoints(number)

Parameters:number (int) – Number of Defined Points

New in version NX6.0.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

Validate

RapidSurfaceBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.